---
title: MediaKeySession.onkeystatuseschange
slug: Web/API/MediaKeySession/onkeystatuseschange
---
<p>{{APIRef("Encrypted Media Extensions")}}{{ SeeCompatTable() }}</p>

<p><span class="seoSummary">The <strong><code>onkeystatuseschange</code></strong> property of the {{domxref("MediaKeySession")}} is an event handler, fired whenever a {{Event("keystatuschange")}} event ocurrs, denoting there has been a change in the keys or their statuses within a session.</span></p>

<p>This interface inherits from the {{domxref("ExtendableEvent")}} interface.</p>

<p>{{InheritanceDiagram(700, 60, 20)}}</p>

<h2 id="Syntax">Syntax</h2>

<pre>MediaKeySession.onkeystatuseschange = function(keystatuschange) { ... }</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME','#dom-evt-keystatuseschange','onkeystatuseschange')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeySession.onkeystatuseschange")}}</p>
</div>
